﻿Imports Infragistics.Documents.Report
Imports Infragistics.Documents.Graphics

Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim report As Infragistics.Documents.Report.Report
        Dim section As Infragistics.Documents.Report.Section.ISection
        Dim site As Infragistics.Documents.Report.ISite
        Dim group As Infragistics.Documents.Report.IGroup
        Dim rectangle As Infragistics.Documents.Report.Shapes.IRectangle

        report = New Infragistics.Documents.Report.Report()

        section = report.AddSection()
        site = section.AddSite()

        group = site.AddGroup(10, 10)
        With group
            .Width = New Infragistics.Documents.Report.FixedWidth(100)
            .Height = New Infragistics.Documents.Report.FixedHeight(100)
            .Borders.All = New Infragistics.Documents.Report.Border(Pens.Black)
        End With

        rectangle = site.Shapes.AddRectangle()
        With rectangle
            .Width = 100
            .Height = 100
            .X = 120
            .Y = 10
            .Pen = Pens.Black
        End With

        Try
            Dim fileName As String
            fileName = System.IO.Path.GetTempFileName()
            fileName = System.IO.Path.ChangeExtension(fileName, ".pdf")

            report.Publish(fileName, FileFormat.PDF)

            System.Diagnostics.Process.Start(fileName)
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub
End Class
